ドメイン
ドメインを取得
顧客向けドメイン詳細を返します。
GET
/
v1
/
public
/
accounts
/
{account_id}
/
domains
/
{domain}
ドメインを取得
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"outbound_routing_ready": true,
"status": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_renew": false,
"created_at": "<string>",
"dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dns_records": [
{
"id": 123,
"name": "<string>",
"ttl": 123,
"type": "<string>",
"value": "<string>",
"is_system_managed": false,
"priority": 123
}
],
"inbound_tenant_external_id": "<string>",
"inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_name": "<string>",
"inbound_tenant_type": "<string>",
"mailboxes": [
{
"active": true,
"email": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>"
}
],
"redirect_mode": "301",
"redirect_url": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}承認
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
レスポンス
ドメイン UUID
ドメイン名
アウトバウンドルーティングの準備ができているかどうか
ドメインのライフサイクルステータス
ドメインを含むワークスペース UUID
ドメインの自動更新が有効かどうか
ドメイン作成のタイムスタンプ
専用の IP UUID を割り当てます (存在する場合)
ドメインの DNS レコード
Hide child attributes
Hide child attributes
DNS レコード識別子
DNS レコード名
DNS TTL を秒単位で記録します
DNS レコードタイプ
DNS レコード値
レコードが HybridBox によって管理されているかどうか
DNS レコード優先度 (該当する場合)
インバウンドテナントのプロバイダー外部 ID
受信テナント UUID (割り当てられている場合)
受信テナントの表示名 (割り当てられている場合)
受信テナント タイプ (割り当てられている場合)
設定されたリダイレクト モード (存在する場合)
利用可能なオプション:
301, 302, iframe 設定されたリダイレクト URL (存在する場合)
ドメインの最終更新タイムスタンプ
このページは役に立ちましたか?
⌘I
ドメインを取得
